# mdtraj.compute_chi1

mdtraj.compute_chi1(traj, periodic=True, opt=True)

  Calculate the chi1 torsions of a trajectory. chi1 is the first side chain torsion angle formed between the 4 atoms over the CA-CB axis.

  Parameters:

    - traj (Trajectory) – Trajectory for which you want dihedrals.

    - periodic (bool, default=True) – If periodic is True and the trajectory contains unitcell information, we will treat dihedrals that cross periodic images using the minimum image convention.

    - opt (bool, default=True) – Use an optimized native library to calculate angles.

  Returns:

    - indices (np.ndarray, shape=(n_chi, 4)) – The indices of the atoms involved in each of the chi1 dihedral angles

    - angles (np.ndarray, shape=(n_frames, n_chi)) – The value of the dihedral angle for each of the angles in each of the frames.